;;; 50accjournal.el -- debian emacs setups for accjournal. -*- mode: emacs-lisp -*-

;; Copyright 2009, 2010, 2012, 2014, 2015 Kevin Ryde

;; This file is part of accjournal.
;;
;; accjournal is free software; you can redistribute it and/or modify it under
;; the terms of the GNU General Public License as published by the Free
;; Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; accjournal is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with accjournal.  If not, see <http://www.gnu.org/licenses/>.


(let ((dir (concat "/usr/share/"
                   (symbol-name debian-emacs-flavor)
                   "/site-lisp/accjournal")))

  (cond ((not (file-exists-p "/usr/share/emacs/site-lisp/accjournal/accjournal.el"))
         (message "accjournal removed but not purged, skipping setup"))

        ((not (file-exists-p (expand-file-name "accjournal.elc" dir)))
         ;; autoloads not available until install script succeeds, ignore until
         ;; then for the benefit of other byte compiling, such as emacsen-common
         ;; compiling 00debian-vars.el
         (message "accjournal not yet byte-compiled, skipping setup"))

        (t
         ;; debian-pkg-add-load-path-item as from debian 3.1 "sarge",
         ;; emacsen-common 1.4.14 of June 2002
         (debian-pkg-add-load-path-item dir)

         ;; the following autoloads generated by my-generate-autoloads.el,
         ;; by an eval of the following form ...
         ;;
         ;; (load-file "my-generate-autoloads.el")

;;;### (autoloads nil "accjournal" "accjournal.el" (21895 15206 896097
;;;;;;  738000))
;;; Generated autoloads from accjournal.el

(let ((loads (get 'accjournal 'custom-loads))) (if (member '"accjournal" loads) nil (put 'accjournal 'custom-loads (cons '"accjournal" loads))))
(put 'accjournal-mandatory-open 'safe-local-variable 'booleanp)
(put 'accjournal-year-base 'safe-local-variable 'integerp)
(autoload 'accjournal-mode "accjournal" nil t)

;;;***


)))
